﻿using FirebaseAdmin.Messaging;
using System.Threading.Tasks;
using FirebaseAdmin;
using Google.Apis.Auth.OAuth2;
using System;
using BCS.BMC.FirebaseCloudMessaging.Dto;
using System.Collections.Generic;
using Abp.Json;
using Microsoft.Extensions.Logging;

namespace BCS.BMC.FirebaseCloudMessaging
{
    public class FirebaseNotificationAppService : IFirebaseNotificationAppService
    {

        public FirebaseNotificationAppService()
        {
            if (FirebaseApp.DefaultInstance is null)
            {
                FirebaseApp.Create(new AppOptions()
                {
                    Credential = GoogleCredential.FromFile("firechat-57601-firebase-adminsdk-anscp-e04366c4d4.json")
                });
            }
        }


        public  async Task<BatchResponse> SendNotification(FireBaseResponseModelForBmc notification)
        {
            try
            {
                var message = new MulticastMessage()
                {
                    Notification = notification.notification,
                    Tokens = notification.FcmToken,
                };

                var response = await FirebaseMessaging.DefaultInstance.SendMulticastAsync(message);
                return response;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public async Task<BatchResponse> SendNotificationBwac(FireBaseResponseModel notification)
        {
            try
            {
                List<string> token = new List<string>();
                token.Add(notification.FcmToken);
                var message = new MulticastMessage()
                {
                    Notification = notification.notification,
                    Tokens = token,
                };

                var response = await FirebaseMessaging.DefaultInstance.SendMulticastAsync(message);
                return response;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public async Task GetNotification(NotificationModel notification)
        {
            var data = notification;
        }
    }
}
