﻿using Abp.Domain.Entities.Auditing;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BCS.BMC.BMC.FirebaseCloudMessages
{
    [Table("FirebaseCloudMessageDetails")]
    public class FirebaseCloudMessageDetails : FullAuditedEntity
    {
        public const int SenderNameMaxLength = 32;
        public const int SenderImageurlMaxLength = 256;
        public const int FcmTokenMaxLength = 512;
        public int Id { get; set; }       
        public int UserId { get; set; }
        [MaxLength(FcmTokenMaxLength)]
        public string FcmToken { get; set; }
        [MaxLength(SenderImageurlMaxLength)]
        public string SenderImageurl { get; set; }
        [MaxLength(SenderNameMaxLength)]
        public string SenderName { get; set; }
        public DateTime? MessageSentDateTime { get; set; }
        public bool Status { get; set; }
        public string Message { get; set; }
    }
}
